
//=============================================================================
//
//  File name - EXAMPLE1.PRG
//  Created   - RTD  28/07/94  09:32:31
//
//  Copyright (c) 1994  Raymond T. Deal
//
//  Functions:
//
//=============================================================================

#include 'controls.ch'

//=============================================================================
// Function    - Main
// Description -
// See also    -
// Created     - RTD  28/07/94  09:32:47
// Revised     - RTD  28/07/94  09:32:47
//
// Format      - Main()
//
// Parameters  - None.
//
// Returns     -
//
// Usage       -
//
// Notes       -
//
// Changes/Fixes:
//
//=============================================================================
Function Main()
Local aMenu := {}
Local oMenu := nil
Local Getlist := {}

   //-------------------------------------
   //  Initialize the controls and mouse
   //-------------------------------------
   Init Controls
   Init Mouse

   //--------------------------
   //  Make a DialogBox 18x70
   //--------------------------
   @ 2,4 Get as DialogBox                        ;
         Header 'TESTING CONTROLS'               ;
         Height 18                               ;
         Length 70                               ;
         Fill Character ''                      ;
         Color 'R/W'                             ;
         Maximize

   //-----------------------
   //  Create a Menu Object
   //-----------------------
   Create Menu oMenu   ;
   HotKey K_ESC

   //------------------------
   //  Create a Menu Option
   //------------------------
   @ Column 1  Create Menu Option 'Personnel' Using aMenu

   //--------------------------------------
   //  Create Menu Items for 'File' Option
   //--------------------------------------
   Create Item 'Personnel ' Attach to aMenu
     Create Sub Item 'Edit Personnel...' Attach to aMenu       ;
          Action {|nExitstate| nExitstate := GE_NOEXIT }
     Create Sub Item 'Add Personnel...' Attach to aMenu        ;
          Action {|nExitstate| nExitstate := GE_NOEXIT }

   Create Separator Attach to aMenu

   Create Item 'DOS Shell ' Attach to aMenu                       ;
          Action {|oGet| swaptodos(), oGet:exitstate := GE_NOEXIT }

   Create Separator Attach to aMenu

   Create Item 'Cancel ' Attach to aMenu                   ;
          Action {|oGet| oGet:exitstate := GE_LEAVESUBMENU }

   @ Column 13 Create Menu Option 'Providers' Using aMenu

   //------------------------------------------
   //  Create Menu Items for 'Providers' Option
   //------------------------------------------
   Create Item 'Provider ' Attach to aMenu
     Create Sub Item 'Edit Provider...' Attach to aMenu       ;
          Action {|nExitstate| nExitstate := GE_NOEXIT }
     Create Sub Item 'Add Provider...' Attach to aMenu        ;
          Action {|nExitstate| nExitstate := GE_NOEXIT }

   Create Separator Attach to aMenu

   Create Item 'Cancel ' Attach to aMenu                   ;
          Action {|oGet| oGet:exitstate := GE_LEAVESUBMENU }

   @ Column 25 Create Menu Option 'Services' Using aMenu

   //------------------------------------------
   //  Create Menu Items for 'Providers' Option
   //------------------------------------------
   Create Item 'Add Services  ' Attach to aMenu      ;
          Action {|oGet| oGet:exitstate := GE_NOEXIT }
   Create Item 'Edit Services ' Attach to aMenu      ;
          Action {|oGet| oGet:exitstate := GE_NOEXIT }

   Create Separator Attach to aMenu

   Create Item 'Cancel' Attach to aMenu                    ;
          Action {|oGet| oGet:exitstate := GE_LEAVESUBMENU }

   //------------------------
   //  Create a Menu Option
   //------------------------
   @ Column 36 Create Menu Option 'Help' Using aMenu

   //--------------------------------------
   //  Create Menu Items for 'Help' Option
   //--------------------------------------
   Create Item 'Help' Attach to aMenu                ;
          Action {|oGet| oGet:exitstate := GE_NOEXIT }

   Create Separator Attach to aMenu

   Create Item 'Cancel' Attach to aMenu                    ;
          Action {|oGet| oGet:exitstate := GE_LEAVESUBMENU }

   //------------------------
   //  Create a Menu Option
   //------------------------
   @ Column 75 Create Menu Option 'Exit' Using aMenu  ;
          Action {|oGet| oGet:exitstate := GE_ESCAPE }

   //----------------------------------------
   //  Attach all Menu Items and Options to
   //  the Menu Object
   //----------------------------------------
   Attach aMenu to oMenu

   Read

   //-------------------------
   //  Remove the Dialog Box
   //-------------------------
   kill dialogbox

Return nil

//=============================================================================
// Function    - SwapToDos
// Description -
// See also    -
// Created     - RTD  06/17/94  02:16 pm
// Revised     - RTD  06/17/94  02:16 pm
//
// Format      - SwapToDos()
//
// Parameters  - None.
//
// Returns     -
//
// Usage       -
//
// Notes       -
//
// Examples    -
//
// Changes/Fixes:
//
//=============================================================================
Function SwapToDos()
Local cScreen := ''

  MouseOff()
  cScreen := savescreen(0,0,maxrow(),maxcol())
  set cursor on
  cls
  Run Command
  Restscreen(0,0,maxrow(),maxcol(),cScreen)
  set cursor off
  MouseOn()

Return nil

